<?php
class ControllerExtensionPaymentpartpay extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/payment/partpay');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('payment_partpay', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true));
		}
		
		$data['plugin_version'] = $this->language->get('text_plugin_version');

		if($this->config->get('config_ssl')) {
			$data['text_partpay'] = sprintf($this->language->get('text_partpay'), HTTPS_CATALOG);
		} else {
			$data['text_partpay'] = sprintf($this->language->get('text_partpay'), HTTP_CATALOG);
		}

		$this->load->model('localisation/geo_zone');

		$data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();

		$this->load->model('localisation/order_status');

		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		//////////////////////////////////////////////////////////////////////
		// Error copying
		if (isset($this->error['username'])) {
			$data['error_username'] = $this->error['username'];
		} else {
			$data['error_username'] = '';
		}

		if (isset($this->error['password'])) {
			$data['error_password'] = $this->error['password'];
		} else {
			$data['error_password'] = '';
		}

		if (isset($this->error['reference'])) {
			$data['error_reference'] = $this->error['reference'];
		} else {
			$data['error_reference'] = '';
		}

	  //////////////////////////////////////////////////////////////////////
		// Breadcrumb
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_payment'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('payment/partpay', 'user_token=' . $this->session->data['user_token'], 'SSL')
		);

		//////////////////////////////////////////////////////////////////////
		// Actions?
		$data['action'] = $this->url->link('extension/payment/partpay', 'user_token=' . $this->session->data['user_token'], 'SSL');
		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true);

		//////////////////////////////////////////////////////////////////////
		// Page Data

		if (isset($this->request->post['payment_partpay_locale'])) {
			$data['payment_partpay_locale'] = $this->request->post['payment_partpay_locale'];
		} else {
			$data['payment_partpay_locale'] = $this->config->get('payment_partpay_locale');
		}

		if (isset($this->request->post['payment_partpay_test'])) {
			$data['payment_partpay_test'] = $this->request->post['payment_partpay_test'];
		} else {
			$data['payment_partpay_test'] = $this->config->get('payment_partpay_test');
		}

		if (isset($this->request->post['payment_partpay_order_status_id'])) {
			$data['payment_partpay_order_status_id'] = $this->request->post['payment_partpay_order_status_id'];
		} else {
			$data['payment_partpay_order_status_id'] = $this->config->get('payment_partpay_order_status_id');
		}

		if (isset($this->request->post['payment_partpay_order_status_refunded_id'])) {
			$data['payment_partpay_order_status_refunded_id'] = $this->request->post['payment_partpay_order_status_refunded_id'];
		} else {
			$data['payment_partpay_order_status_refunded_id'] = $this->config->get('payment_partpay_order_status_refunded_id');
		}

		if (isset($this->request->post['payment_partpay_order_status_auth_id'])) {
			$data['payment_partpay_order_status_auth_id'] = $this->request->post['payment_partpay_order_status_auth_id'];
		} else {
			$data['payment_partpay_order_status_auth_id'] = $this->config->get('payment_partpay_order_status_auth_id');
		}

		if (isset($this->request->post['payment_partpay_username'])) {
			$data['payment_partpay_username'] = $this->request->post['payment_partpay_username'];
		} else {
			$data['payment_partpay_username'] = $this->config->get('payment_partpay_username');
		}

		if (isset($this->request->post['payment_partpay_password'])) {
			$data['payment_partpay_password'] = $this->request->post['payment_partpay_password'];
		} else {
			$data['payment_partpay_password'] = $this->config->get('payment_partpay_password');
		}
		
		if (isset($this->request->post['payment_partpay_order_status_success'])) {
			$data['payment_partpay_order_status_success'] = $this->request->post['payment_partpay_order_status_success'];
		} else {
			$data['payment_partpay_order_status_success'] = $this->config->get('payment_partpay_order_status_success');
		}

		if (isset($this->request->post['payment_partpay_sort_order'])) {
			$data['payment_partpay_sort_order'] = $this->request->post['payment_partpay_sort_order'];
		} else {
			$data['payment_partpay_sort_order'] = $this->config->get('payment_partpay_sort_order');
		}
		
		$this->load->model('localisation/order_status');
		
		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		/*if (isset($this->request->post['payment_partpay_reference'])) {
			$data['payment_partpay_reference'] = $this->request->post['payment_partpay_reference'];
		} else {
			$data['payment_partpay_reference'] = $this->config->get('payment_partpay_reference');
		}*/

		if (isset($this->request->post['payment_partpay_status'])) {
			$data['payment_partpay_status'] = $this->request->post['payment_partpay_status'];
		} else {
			$data['payment_partpay_status'] = $this->config->get('payment_partpay_status');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/payment/partpay', $data));
	}

	public function install() {
		$this->load->model('extension/payment/partpay');
		$this->model_extension_payment_partpay->install();
	}

	public function uninstall() {
		$this->load->model('extension/payment/partpay');
		$this->model_extension_payment_partpay->uninstall();
	}
	
	public function refund() {
	}

	private function validate() {

		if (!$this->user->hasPermission('modify', 'extension/payment/partpay')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->request->post['payment_partpay_username']) {
			$this->error['username'] = $this->language->get('error_username');
		}
		if (!$this->request->post['payment_partpay_password']) {
			$this->error['password'] = $this->language->get('error_password');
		}
		/*if (!$this->request->post['payment_partpay_reference']) {
			$this->error['reference'] = $this->language->get('error_reference');
		}*/
		
		return !$this->error;
	}
}
