<?php
class ControllerPaymentPartpay extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('payment/partpay');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('partpay', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->response->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$data['heading_title'] = $this->language->get('heading_title');
		$data['plugin_version'] = $this->language->get('text_plugin_version');

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
		$data['text_yes'] = $this->language->get('text_yes');
		$data['text_no'] = $this->language->get('text_no');
		$data['text_none'] = $this->language->get('text_none');
		$data['text_all_zones'] = $this->language->get('text_all_zones');
		$data['text_authorisation'] = $this->language->get('text_authorisation');
		$data['text_all_zones'] = $this->language->get('text_all_zones');
		$data['text_sale'] = $this->language->get('text_sale');
		$data['text_transparent'] = $this->language->get('text_transparent');
		$data['text_iframe'] = $this->language->get('text_iframe');
		$data['text_nz'] = $this->language->get('text_nz');
		$data['text_uk'] = $this->language->get('text_uk');

		$data['entry_paymode'] = $this->language->get('entry_paymode');
		$data['entry_test'] = $this->language->get('entry_test');
		$data['entry_locale'] = $this->language->get('entry_locale');
		$data['entry_payment_type'] = $this->language->get('entry_payment_type');
		$data['entry_transaction'] = $this->language->get('entry_transaction');
		$data['entry_order_status'] = $this->language->get('entry_order_status');
		$data['entry_order_status_refund'] = $this->language->get('entry_order_status_refund');
		$data['entry_order_status_auth'] = $this->language->get('entry_order_status_auth');
		$data['entry_order_status_fraud'] = $this->language->get('entry_order_status_fraud');
		$data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		$data['entry_username'] = $this->language->get('entry_username');
		$data['entry_password'] = $this->language->get('entry_password');
		$data['entry_reference'] = $this->language->get('entry_reference');
		$data['entry_transaction_method'] = $this->language->get('entry_transaction_method');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['entry_order_status_success'] = $this->language->get('entry_order_status_success');

		$data['help_locale'] = $this->language->get('help_locale');
		$data['help_testmode'] = $this->language->get('help_testmode');
		$data['help_username'] = $this->language->get('help_username');
		$data['help_password'] = $this->language->get('help_password');
		$data['help_reference'] = $this->language->get('help_reference');
		$data['help_transaction_method'] = $this->language->get('help_transaction_method');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['tab_general'] = $this->language->get('tab_general');

		$this->load->model('localisation/geo_zone');

		$data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();

		$this->load->model('localisation/order_status');

		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		//////////////////////////////////////////////////////////////////////
		// Error copying
		if (isset($this->error['username'])) {
			$data['error_username'] = $this->error['username'];
		} else {
			$data['error_username'] = '';
		}

		if (isset($this->error['password'])) {
			$data['error_password'] = $this->error['password'];
		} else {
			$data['error_password'] = '';
		}

		if (isset($this->error['reference'])) {
			$data['error_reference'] = $this->error['reference'];
		} else {
			$data['error_reference'] = '';
		}

	  //////////////////////////////////////////////////////////////////////
		// Breadcrumb
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_payment'),
			'href' => $this->url->link('payment', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('payment/partpay', 'token=' . $this->session->data['token'], 'SSL')
		);

		//////////////////////////////////////////////////////////////////////
		// Actions?
		$data['action'] = $this->url->link('payment/partpay', 'token=' . $this->session->data['token'], 'SSL');
		$data['cancel'] = $this->url->link('payment', 'token=' . $this->session->data['token'], 'SSL');

		//////////////////////////////////////////////////////////////////////
		// Page Data

		if (isset($this->request->post['partpay_test'])) {
			$data['partpay_test'] = $this->request->post['partpay_test'];
		} else {
			$data['partpay_test'] = $this->config->get('partpay_test');
		}

		if (isset($this->request->post['partpay_locale'])) {
			$data['partpay_locale'] = $this->request->post['partpay_locale'];
		} else {
			$data['partpay_locale'] = $this->config->get('partpay_locale');
		}

		if (isset($this->request->post['partpay_order_status_id'])) {
			$data['partpay_order_status_id'] = $this->request->post['partpay_order_status_id'];
		} else {
			$data['partpay_order_status_id'] = $this->config->get('partpay_order_status_id');
		}

		if (isset($this->request->post['partpay_order_status_refunded_id'])) {
			$data['partpay_order_status_refunded_id'] = $this->request->post['partpay_order_status_refunded_id'];
		} else {
			$data['partpay_order_status_refunded_id'] = $this->config->get('partpay_order_status_refunded_id');
		}

		if (isset($this->request->post['partpay_order_status_auth_id'])) {
			$data['partpay_order_status_auth_id'] = $this->request->post['partpay_order_status_auth_id'];
		} else {
			$data['partpay_order_status_auth_id'] = $this->config->get('partpay_order_status_auth_id');
		}

		if (isset($this->request->post['partpay_username'])) {
			$data['partpay_username'] = $this->request->post['partpay_username'];
		} else {
			$data['partpay_username'] = $this->config->get('partpay_username');
		}

		if (isset($this->request->post['partpay_password'])) {
			$data['partpay_password'] = $this->request->post['partpay_password'];
		} else {
			$data['partpay_password'] = $this->config->get('partpay_password');
		}
		
		if (isset($this->request->post['partpay_order_status_success'])) {
			$data['partpay_order_status_success'] = $this->request->post['partpay_order_status_success'];
		} else {
			$data['partpay_order_status_success'] = $this->config->get('partpay_order_status_success');
		}

		if (isset($this->request->post['partpay_sort_order'])) {
			$data['partpay_sort_order'] = $this->request->post['partpay_sort_order'];
		} else {
			$data['partpay_sort_order'] = $this->config->get('partpay_sort_order');
		}
		
		$this->load->model('localisation/order_status');
		
		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		/*if (isset($this->request->post['partpay_reference'])) {
			$data['partpay_reference'] = $this->request->post['partpay_reference'];
		} else {
			$data['partpay_reference'] = $this->config->get('partpay_reference');
		}*/

		if (isset($this->request->post['partpay_status'])) {
			$data['partpay_status'] = $this->request->post['partpay_status'];
		} else {
			$data['partpay_status'] = $this->config->get('partpay_status');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');
		
		$this->response->setOutput($this->load->view('payment/partpay.tpl', $data));
	}

	public function install() {
		$this->load->model('payment/partpay');
		$this->model_payment_partpay->install();
	}

	public function uninstall() {
		$this->load->model('payment/partpay');
		$this->model_payment_partpay->uninstall();
	}
	
	public function refund() {
	}

	private function validate() {

		if (!$this->user->hasPermission('modify', 'payment/partpay')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->request->post['partpay_username']) {
			$this->error['username'] = $this->language->get('error_username');
		}
		if (!$this->request->post['partpay_password']) {
			$this->error['password'] = $this->language->get('error_password');
		}
		/*if (!$this->request->post['partpay_reference']) {
			$this->error['reference'] = $this->language->get('error_reference');
		}*/
		
		return !$this->error;
	}
}
