<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-partpay" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a>
      </div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
      <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
        <button type="button" class="close" data-dismiss="alert">&times;</button>
      </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-partpay" class="form-horizontal">        
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
            <div class="col-sm-10">
              <select name="partpay_status" id="input-status" class="form-control">
                <?php if ($partpay_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-locale"><span data-toggle="tooltip" title="<?php echo $help_locale; ?>"><?php echo $entry_locale; ?></span></label>
            <div class="col-sm-10">
              <select name="partpay_locale" id="input-locale" class="form-control">
                  <option value="nz" <?php echo ($partpay_locale == "nz" ? "selected='selected'" : "") ?>><?php echo $text_nz; ?></option>
                  <option value="uk" <?php echo ($partpay_locale == "uk" ? "selected='selected'" : "") ?>><?php echo $text_uk; ?></option>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-test"><span data-toggle="tooltip" title="<?php echo $help_testmode; ?>"><?php echo $entry_test; ?></span></label>
            <div class="col-sm-10">
              <select name="partpay_test" id="input-test" class="form-control">
                <?php if ($partpay_test) { ?>
                  <option value="1" selected="selected"><?php echo $text_yes; ?></option>
                  <option value="0"><?php echo $text_no; ?></option>
                <?php } else { ?>
                  <option value="1"><?php echo $text_yes; ?></option>
                  <option value="0" selected="selected"><?php echo $text_no; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>

          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-username"><span data-toggle="tooltip" title="<?php echo $help_username; ?>"><?php echo $entry_username; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="partpay_username" value="<?php echo $partpay_username; ?>" placeholder="<?php echo $entry_username; ?>" id="input-username" class="form-control"/>
              <?php if ($error_username) { ?>
              <div class="text-danger"><?php echo $error_username; ?></div>
              <?php } ?>
            </div>
          </div>

          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-password"><span data-toggle="tooltip" title="<?php echo $help_password; ?>"><?php echo $entry_password; ?></span></label>
            <div class="col-sm-10">
              <input type="password" name="partpay_password" value="<?php echo $partpay_password; ?>" placeholder="<?php echo $entry_password; ?>" id="input-password" class="form-control"/>
              <?php if ($error_password) { ?>
              <div class="text-danger"><?php echo $error_password; ?></div>
              <?php } ?>
            </div>
          </div>
          
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status-success"><?php echo $entry_order_status_success; ?></label>
            <div class="col-sm-10">
              <select class="form-control" id="input-order-status-success" name="partpay_order_status_success">
              	<?php foreach($order_statuses as $order_status) { ?>
              	<option value="<?php echo $order_status['order_status_id'] ?>" <?php echo ($order_status['order_status_id'] == $partpay_order_status_success ? 'selected="selected"' : '') ?>><?php echo $order_status['name'] ?></option>
              	<?php } ?>
              </select>
            </div>
          </div>
<?php /*
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-reference"><span data-toggle="tooltip" title="<?php echo $help_reference; ?>"><?php echo $entry_reference; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="partpay_reference" value="<?php echo $partpay_reference; ?>" placeholder="<?php echo $entry_reference; ?>" id="input-reference" class="form-control"/>
              <?php if ($error_reference) { ?>
              <div class="text-danger"><?php echo $error_reference; ?></div>
              <?php } ?>
            </div>
          </div>
     */ ?>     


          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
            <div class="col-sm-10">
              <input type="text" name="partpay_sort_order" value="<?php echo $partpay_sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control"/>
            </div>
          </div>

          <div lass="form-group">
            <div class="col-sm-10">
              <small>Plugin Version: <?php echo $plugin_version ?></small>
            </div>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>
